Anonymous Login
2019-06-16 21:12 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001545v4.0 Release (Planning)Filespublic2016-12-29 10:16
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusacknowledgedResolutionfixed 
Product Version 
Target Version4.0Fixed in Version4.0 
Summary0001545: style for add file/add folder button wrong
Descriptionfinally I got why I do not have these buttons although there is no code change between head and my version:

style is wrong.
If we have long project/task names, they are not wrapped into a new line, but the table just gets wider.

Contrary to the global search/today/logout buttons, add file/add folder are NOT tied to the right side of the screen, they are anchored to the right side of the table.
So if the table gets wider, they move out of the visible window area. I can get them back by scrolling to the right.

This is undesirable, they should always stay in the left visible window area (similiar to the logout button which does not move with table width

In consequence that means head woks only if project, task and filenames are short
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0003385

caseydk (administrator)

This requires a change to the header.php file of every theme and then updating all the modules to handle the theming right. Nothing can be done on this for 3.2 without a major overhaul and potentially (probably) introducing other issues.

I'm going to suggest that you reduce the fields you are displaying (for now) and we work on a fix for v4.0

~0003488

caseydk (administrator)

I've done some more digging on this one.. moving the module header out of the table is going to require some serious refactoring, far more than I initially believed.

~0003493

opto (manager)

workarounds:
a) wrap long names into new line (in addcell??)
b) show firstxx and last xx characters of display name - maybe with a toggle button.

I have a function for that in my dokuwiki codewhich takes a long string, cuts beginning and end and displays as beginning...end

c) just cutting no of chars. Maybe least desirable cause this looses the most information.

~0003496

caseydk (administrator)

The big problem isn't the number of characters.. it's more related to the number of fields and the column headers. They set up a minimum width for the table.

~0003498

opto (manager)

this is not what I mean.
Consider task xxx project yyy: table is disdpalyed ok.
take task xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
project yyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyyy
(don't remember how many characters are needed to distort the table)

now the table is autoexpanded to the right to display task/projectz name.

The add buttons are tied to the right side of the page and disappear into the scrollbar region which is not shown on default.

I took me a very long time to notice that the buttons do exist, but are scrolled into the invisible part of the page.

We should restirct no of characters in project/task name so that the buttons are in view on a standard screen (1280x1024) or change style of buttons so that they are not at the far right side.

E.g. define a distance from the file icon and put them there.

I think the same problem applies to other screens

~0003573

caseydk (administrator)

Resolved in v4.0 development: https://github.com/web2project/web2project/commit/0023179aef1589d98447cfd7fd69548c3bc6a422

~0003842

caseydk (administrator)


I'm changing this issue to acknowledged.

While it's resolved in the v4.0 development branch. That is going to be reviewed commit by commit and merged into a new development branch over the next couple months.
+Notes

-Issue History
Date Modified Username Field Change
2014-05-25 03:05 opto New Issue
2014-05-25 20:17 caseydk Assigned To => caseydk
2014-05-25 20:17 caseydk Status new => assigned
2014-05-25 20:21 caseydk Note Added: 0003385
2014-05-25 20:21 caseydk Status assigned => feedback
2014-05-25 20:22 caseydk Project v3.2 Release => v4.0 Release (Planning)
2014-06-10 22:49 caseydk Target Version => 4.0
2014-06-15 21:40 caseydk Note Added: 0003488
2014-06-16 06:39 opto Note Added: 0003493
2014-06-16 06:39 opto Status feedback => assigned
2014-06-17 21:07 caseydk Note Added: 0003496
2014-06-18 11:35 opto Note Added: 0003498
2014-08-05 21:23 caseydk Note Added: 0003573
2014-08-05 21:23 caseydk Status assigned => resolved
2014-08-05 21:23 caseydk Fixed in Version => 4.0
2014-08-05 21:23 caseydk Resolution open => fixed
2016-12-29 10:16 caseydk Status resolved => acknowledged
2016-12-29 10:16 caseydk Note Added: 0003842
+Issue History